ZenMagick 0.9.8


org.zenmagick.store.mvc.controller.ajax.ZMAjaxCountryController
\store\mvc\controller\ajax\ZMAjaxCountryController.php at line 31

Class ZMAjaxCountryController

ZMObject
└─ZMController
└─ZMAjaxController
└─ZMAjaxCountryController

public class ZMAjaxCountryController
extends ZMAjaxController

Ajax controller for JSON country data.

Author:
DerManoMann
Version:
$Id: ZMAjaxCountryController.php 2694 2009-12-03 22:32:18Z dermanomann $

Constructor Summary

ZMAjaxCountryController()

Create new instance.

Method Summary
void

getCountryListJSON(ZMRequest request)

Generates a JSON list of all countries.

void

getZonesForCountryIdJSON(ZMRequest request)

Generates a JSON list of all zones for the requested country id.

Methods inherited from org.zenmagick.mvc.controller.ZMAjaxController
flattenObject, process, processGet, setJSONHeader, toJSON
Methods inherited from org.zenmagick.mvc.controller.ZMController
findView, getFormData, getId, getView, isFormSubmit, preProcess, process, processGet, processPost, setContentType, setId, setView, validate, validateFormData, validateSession
Methods inherited from org.zenmagick.core.ZMObject
attachMethod, get, getAttachedMethods, getPropertyNames, set, singleton

Constructor Detail

\store\mvc\controller\ajax\ZMAjaxCountryController.php at line 36

ZMAjaxCountryController

public ZMAjaxCountryController()

Create new instance.


Method Detail

\store\mvc\controller\ajax\ZMAjaxCountryController.php at line 55

getCountryListJSON

public void getCountryListJSON(ZMRequest request)

Generates a JSON list of all countries.

Parameters:
request - The current request.

\store\mvc\controller\ajax\ZMAjaxCountryController.php at line 71

getZonesForCountryIdJSON

public void getZonesForCountryIdJSON(ZMRequest request)

Generates a JSON list of all zones for the requested country id.

Request parameter (either or):

Parameters:
request - The current request.

ZenMagick 0.9.8